Bug 2030814 - Review Request: cockpit-file-sharing - A cockpit module to make file sharing with Samba and NFS easier.
Summary: Review Request: cockpit-file-sharing - A cockpit module to make file sharing ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-09 18:48 UTC by Stephen Gallagher
Modified: 2022-01-20 14:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-20 02:28:01 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Stephen Gallagher 2021-12-09 18:48:12 UTC
Spec URL: https://sgallagh.fedorapeople.org/packagereview/cockpit-file-sharing/cockpit-file-sharing.spec
SRPM URL: https://sgallagh.fedorapeople.org/packagereview/cockpit-file-sharing/cockpit-file-sharing-2.4.1-1.fc35.src.rpm
Description: A cockpit module to make file sharing with Samba and NFS easier.Fedora Account System Username: sgallagh

Comment 1 Stephen Gallagher 2021-12-09 19:00:26 UTC
COPR build: https://copr.fedorainfracloud.org/coprs/sgallagh/cockpit-45drives/build/3018089/

Automated Review:


This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

Generic:
[ ]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License v3.0 or
     later", "*No copyright* GNU General Public License, Version 3". 61
     files have unknown license. Detailed output of licensecheck in
     /var/lib/copr-rpmbuild/results/cockpit-file-sharing/licensecheck.txt
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/cockpit
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define autorelease(e:s:pb:)
     %{?-p:0.}%{lua:
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: cockpit-file-sharing-2.4.1-1.fc36.noarch.rpm
          cockpit-file-sharing-2.4.1-1.fc36.src.rpm
cockpit-file-sharing.noarch: W: summary-ended-with-dot C A cockpit module to make file sharing with Samba and NFS easier.
cockpit-file-sharing.noarch: E: no-changelogname-tag
cockpit-file-sharing.noarch: E: script-without-shebang /usr/share/cockpit/file-sharing/branding/branding.svg
cockpit-file-sharing.src: W: summary-ended-with-dot C A cockpit module to make file sharing with Samba and NFS easier.
cockpit-file-sharing.src: E: no-changelogname-tag
2 packages and 0 specfiles checked; 3 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/45Drives/cockpit-file-sharing/archive/v2.4.1/cockpit-file-sharing-2.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : f8df993d916312227e2a56b0f9fb0110ccf0e05ce8a12b410424d3ed2cacf518
  CHECKSUM(SHA256) upstream package : f8df993d916312227e2a56b0f9fb0110ccf0e05ce8a12b410424d3ed2cacf518


Requires
--------
cockpit-file-sharing (rpmlib, GLIBC filtered):
    /usr/bin/python3
    cockpit-ws
    nfs-utils
    python3
    samba



Provides
--------
cockpit-file-sharing:
    cockpit-file-sharing



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review --no-colors --prebuilt --rpm-spec --name cockpit-file-sharing --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Perl, Java, R, C/C++, Haskell, fonts, Python, PHP, Ocaml, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Matthew Miller 2021-12-10 21:14:47 UTC
Wow, modern spec files are getting closer and closer to the ideal. :)


1. Shouldn't it use `%{_datadir}/cockpit` in %files? (The main cockpit spec file does.)

2. Should this `Recommends: samba` and `nfs-utils` instead of Requires? I can see not wanting both.

3. This includes bundled fontawesome. I tested, and I don't think it needs to.

   * `rm -rf fontawesome`
   * sed -i '/fontawesome/d' file-sharing.html

   Having done this, the fontawesome glyphs (a plus sign and downward triangle) still work.

   This is what the warning about an unmarked `LICENSE.txt` file is all about. If we de-bundle, though... not needed.

4. Also includes a `file-sharing-patternfly.css.gz` — I hoped this would be the same and can also just be dropped, but removing it causes the utility to get boxed in a little viewport at the top of the its cockpit panel rather than using the whole thing. Not sure what is causing this -- mismatch in patternfly versions, maybe? I think this is probably the right thing to do, just not sure how to do it. Need web developer help I guess. Not sure if this is a blocker.

5. License of the files in "branding" file is unclear. There's nothing explicit excluding them from the GPLv3 license, so it's probably okay, but since we're not including this as part of one of their offerings, it seems respectful to debrand so they don't get misdirected support requests. Plus we don't have that kind of branding anywhere else in Cockpit in Fedora that I can see.

   It's easy to remove `branding.svg` — deleting that file and removing the line referencing it from file-sharing.html (sed -i '/branding\.svg/d' file-sharing.html) is sufficient.

  The other file, `spinner.svg`, also appears to be their logo, but without the name. Changing `class="spinner-45d"` to `class="spinner spinner-lg"` in `samba-manager/samba-manager.html` and `nfs-manager/nfs-manager.html` replaces this with a generic spinner — it doesn't quite match the styling of other Cockpit panels, but that could be a future improvement.

  Removing the entire spinner-45d from the css files would be the cleanest, but isn't necessary if nothing references that, and we can just rm -rf the branding subdir.

6. Automatic checklist complaint about no package owning `/usr/share/cockpit` is odd, as that belongs to `cockpit-bridge`.

7. Summary currently is "A cockpit module to make file sharing with Samba and NFS easier." and Description is:

      Cockpit File Sharing
      A cockpit module to make file sharing with Samba and NFS easier.

  I wouldn't nitpick this, except we should capitalize Cockpit, and while we're at it might as well match the descriptions of other Cockpit modules (and take the description directly from the readme.)
  AND, I think it's important to get "SMB" in here. So

     Summary: Cockpit user interface for managing SMB and NFS file sharing.

     A Cockpit component for managing SMB exports and NFS shares.  This package uses Samba and nfs-utils.

8. There is a 2.4.2 version out already. :)

Comment 3 Matthew Miller 2021-12-15 16:29:50 UTC
I've made


https://fedorapeople.org/~mattdm/packagereview/cockpit-file-sharing.spec
https://fedorapeople.org/~mattdm/packagereview/cockpit-file-sharing-2.4.1-1.fc35.mattdm.src.rpm

... which addresses most of the above. I don't know what to do about patternfly -- help wanted! And I was wrong about 2.4.3 being out yet; it's just mentioned in commits but isn't released.

Comment 4 Matthew Miller 2022-01-06 17:36:17 UTC
So, from upstream: https://github.com/45Drives/cockpit-file-sharing/issues/26#issuecomment-1006737817


> The decision was made with Cockpit 221 to remove patternfly.css from it's core utilities which was PatternFly 3 and a few other sources. file-sharing-patternfly.css.gz is a clone of what that file was in previous versions of cockpit. This was also done in the cockpit-zfs-manager module that we currently maintain.

I think it's probably okay to note that and leave the file as it is in the package.


Stephen, when you get a chance, can you update with my changes from comment #3, and then we can find an actual proper reviewer (I think I've ruined my neutrality on that front).

Comment 5 Stephen Gallagher 2022-01-06 19:59:33 UTC
Spec URL: https://sgallagh.fedorapeople.org/packagereview/cockpit-file-sharing/cockpit-file-sharing-2.4.1-3.spec
SRPM URL: https://sgallagh.fedorapeople.org/packagereview/cockpit-file-sharing/cockpit-file-sharing-2.4.1-3.fc35.src.rpm

I made a minor modification. The debundling now happens in the %prep step rather than %build (in keeping with other packages' approaches).

COPR: https://copr.fedorainfracloud.org/coprs/sgallagh/cockpit-45drives/build/3131215/

(Ignore the ELN build failures there, that's an unrelated issue)

Comment 6 Stephen Gallagher 2022-01-07 21:13:38 UTC
Spec URL: https://sgallagh.fedorapeople.org/packagereview/cockpit-file-sharing/cockpit-file-sharing-2.4.1-4.spec
SRPM URL: https://sgallagh.fedorapeople.org/packagereview/cockpit-file-sharing/cockpit-file-sharing-2.4.1-4.fc35.src.rpm

COPR: https://copr.fedorainfracloud.org/coprs/sgallagh/cockpit-45drives/build/3133235/

I switched from using a spec-based approach to debranding and debundling to a patch-based approach, which I think will be more maintainable.

Comment 7 Neal Gompa 2022-01-11 17:36:46 UTC
Review notes:

* Package is named properly
* Package builds and installs
* Package has no serious rpmlint issues
* Package is licensed correctly and license file is included

PACKAGE APPROVED.

Comment 8 Gwyn Ciesla 2022-01-11 18:08:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/cockpit-file-sharing

Comment 9 Fedora Update System 2022-01-11 19:16:29 UTC
FEDORA-2022-a917835d84 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a917835d84

Comment 10 Fedora Update System 2022-01-11 19:16:30 UTC
FEDORA-2022-43b970824c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-43b970824c

Comment 11 Fedora Update System 2022-01-11 19:16:31 UTC
FEDORA-EPEL-2022-5a7ef1d187 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5a7ef1d187

Comment 12 Fedora Update System 2022-01-12 01:49:17 UTC
FEDORA-2022-a917835d84 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-a917835d84 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a917835d84

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-01-12 02:00:50 UTC
FEDORA-2022-43b970824c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-43b970824c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-43b970824c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-01-12 02:10:17 UTC
FEDORA-EPEL-2022-5a7ef1d187 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5a7ef1d187

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-01-12 02:11:06 UTC
FEDORA-EPEL-2022-278cd45861 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-278cd45861

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-01-20 02:28:01 UTC
FEDORA-EPEL-2022-278cd45861 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-01-20 08:31:38 UTC
FEDORA-2022-43b970824c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-01-20 12:08:06 UTC
FEDORA-EPEL-2022-5a7ef1d187 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-01-20 14:52:07 UTC
FEDORA-2022-a917835d84 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.